/* SDcdev class definition */

#include "TControlPanel.h"

struct SDcdev : TControlPanel {

//	instance variables
	
	short		sleepNowRect,
				neverSleepRect;
	Handle		pictHandles[8];
	Rect		smallSNRect[4],
				smallNSRect[4],
				smIdleRect,
				smRefrRect;
	Boolean		mustRemember;

//	methods + functions
		
			SDcdev(short numItems,DialogPtr cp);
	virtual	~SDcdev(void);

	virtual long Init(void);					// "initDev"
	virtual long Idle(void);					// "nulDev"
	virtual long Close(void);					// "closeDev"
	virtual long KeyDown(short);				// "keyEvtDev"
	virtual long ItemHit(short);				// "hitDev"
	void RememberValues(void);
};



/* Picture resource IDs */

#define topLeftPict		129
#define topRightPict	130
#define botLeftPict		131
#define botRightPict	132
#define noArrowPict		133
#define upArrowPict		134
#define dnArrowPict		135
#define grArrowPict		136


/* Rectangle numbers */

#define topLeftRect		0
#define topRightRect	1
#define botRightRect	2
#define botLeftRect		3
#define noArrow			4
#define upArrow			5
#define dnArrow			6
#define grArrow			7


/* Dialog item numbers */

#define screenOn	1			// "On / Off" check box
#define startupIcon	2			// "Startup Icon" check box
#define sleepNow	3			// "Sleep Now" picture
#define neverSleep	4			// "Never Sleep" picture
#define idleMins	5			// "idle time" edit text item
#define idleRect	6			// idle time arrows picture


/* A lone figure in the sunset */

Boolean OpenPrefsFile(void);
